<template>
    <ob-form :form-data="formData" :form-model="formModel" @submit="onSubmitHandler">
        <div class="row">
            <div class="col-xs-12">
                <ob-input
                        label="Наименование документа"
                        v-model="formData.name"
                        :disabled="disabled"
                        property="name"
                ></ob-input>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-select
                    label="Статус"
                    :items="statusItems"
                    v-model="formData.status"
                    :display-exp="'text'"
                    :value-exp="'value'"
                ></ob-select>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-select
                    label="Сервисы"
                    :items="recognizerList"
                    v-model="formData.recognizerUuid"
                    :is-multiselect="true"
                    :value-exp="'uuid'"
                    :display-exp="'title'"
                    placeholder="Выберите из списка"
                ></ob-select>
            </div>
        </div>
    </ob-form>
</template>

<script>
    import FormValidationMixin from "common-components/src/obComponents/obForm/FormValidationMixin";
    import TableLayoutMixin from "../../../mixins/table-layout-mixin";
    import registrationDocModel from '../../../models/registration-doc'
    import ObForm from "common-components/src/obComponents/obForm";
    import ObInput from "common-components/src/obComponents/obInput";
    import ObSelect from "common-components/src/obComponents/obSelect/";
    export default {
        name: "DocModal",
        components: {ObInput, ObForm, ObSelect},
        mixins: [
            FormValidationMixin,
            TableLayoutMixin
        ],
        props : {
            disabled: {
                type: Boolean,
                default: false
            },
            recognizerList: {
                type: Array,
                default: () => []
            }
        },
        computed: {
            formModel () {
                return registrationDocModel
            },
        },
        data() {
            return {
                statusItems: [
                    {
                        value: true,
                        text: 'Активна'
                    },
                    {
                        value: false,
                        text: 'Неактивна'
                    }
                ],
            }
        },
        methods: {
            onSubmitHandler () {
                this.$emit('close')
            }
        }
    }
</script>

<style scoped>

</style>
